Bug 563108 - grubby doesn't update grub.conf with initrd
grubby doesn't update grub.conf with initrd
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-09 04:07 EST by Marcela Mašláňová
Modified: 2011-06-03 04:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 04:25:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2010-02-09 04:07:35 EST
Description of problem:
VFS: cannot open root device "mapper/vg_stroj-lv_root" or unknown-block(0,0)
please append a correct "root=" boot option; here are the available partitions:
...
Kernel panic - not syncing:VFS: Unable to mount root fs on unknown-block(0,0)
Pid: 1, comm: swapper Not tainted 2.6.33-0.40.rc7.git0.fc13.i686.PAE#1
Call trace:
c07c1d01 ? printk+0x14/0x1b
c07c1c35 panic+0x3e/0xf6
c0a52d2s mount_block_root
c04f1fbc ? sys_mknod+0x18/0x1a
c0a52d96 mount_root+0x4c/0x54
c0a52ee3 prepare_namespec+0x145/0x176
c0a523ee kernel_init+0x1de/0x1ed
c0a52210 ? kernel_init+0x0/0x1ed
c0409142 kernel_thread_helper+0x6/0x10

Version-Release number of selected component (if applicable):
kernel-PAE-2.6.33-0.40.rc7

How reproducible:
boot; everytime

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Petr Lautrbach 2010-02-09 08:51:32 EST
There is missing initrd line in grub.conf because second grubby call doesn't update grub.conf:

# rpm -q grubby
grubby-7.0.10-1.fc13.x86_64

# /sbin/grubby --update-kernel=/boot/vmlinuz-2.6.33-0.40.rc7.git0.fc13.x86_64 --initrd /boot/initramfs-2.6.33-0.40.rc7.git0.fc13.x86_64.img '--args= SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us'
grubby: kernel path expected

# grubby --info=/boot/vmlinuz-2.6.33-0.40.rc7.git0.fc13.x86_64
boot=/dev/vda
index=0
kernel=/vmlinuz-2.6.33-0.40.rc7.git0.fc13.x86_64
args="ro SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us console=ttyS0"
root=/dev/VolGroup00/LogVol00


But it seems to be fixed in grubby-7.0.12-1.fc13.x86_64 from cvs:

# rpm -q grubby
grubby-7.0.12-1.fc13.x86_64

# /sbin/grubby --update-kernel=/boot/vmlinuz-2.6.33-0.40.rc7.git0.fc13.x86_64 --initrd /boot/initramfs-2.6.33-0.40.rc7.git0.fc13.x86_64.img '--args= SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us'

# grubby --info=/boot/vmlinuz-2.6.33-0.40.rc7.git0.fc13.x86_64
boot=/dev/vda
index=0
kernel=/vmlinuz-2.6.33-0.40.rc7.git0.fc13.x86_64
args="ro SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us console=ttyS0"
root=/dev/VolGroup00/LogVol00
initrd=/boot/boot/initramfs-2.6.33-0.40.rc7.git0.fc13.x86_64.img
Comment 2 Petr Lautrbach 2010-02-09 09:27:46 EST
There is a problem with grubby-7.0.12-1.fc13.x86_64. It adds initramfs filename with /boot prefix.

# /sbin/grubby --update-kernel=/boot/vmlinuz-2.6.33-0.40.rc7.git0.fc13.x86_64 --initrd /boot/initramfs-2.6.33-0.40.rc7.git0.fc13.x86_64.img '--args= SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us'

# grubby --info=/boot/vmlinuz-2.6.33-0.40.rc7.git0.fc13.x86_64
...
initrd=/boot/boot/initramfs-2.6.33-0.40.rc7.git0.fc13.x86_64.img
Comment 3 Bug Zapper 2010-03-15 10:28:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-02 12:37:35 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.